all:
	nmake -f mkdist.mak clean
	nmake -f mkdist.mak install
	nmake -f mkdist.mak archive
clean:
	if exist bin\libv.dll del bin\libv.dll
	if exist bin\OScope.exe del bin\OScope.exe
	if exist bin\in_wave\in_wave.dll del bin\in_wave\in_wave.dll
install:
	copy ..\..\..\bin\libv.dll bin\libv.dll
	copy OScope.exe bin\OScope.exe
	copy in_wave\in_wave.dll bin\in_wave\in_wave.dll
archive:
	rar a -r -m5 oscope-binaries-win32.rar bin
